Summary:          gtk+ based diagram creation program.
Name:             dia
Version:          0.91
Release:          0.fdr.5
Epoch:            1
URL:              http://www.lysator.liu.se/~alla/dia/
License:          GPL
Group:            Applications/Multimedia
Source0:          ftp://ftp.gnome.org/pub/gnome/sources/dia/0.91/dia-0.91.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:    glib2-devel >= 0:2.0.6
BuildRequires:    gtk2-devel >= 0:2.0.6
BuildRequires:    libxml2-devel >= 0:2.3.9
BuildRequires:    pygtk2-devel
BuildRequires:    libxslt-devel
BuildRequires:    libgnome-devel >= 0:2.0
BuildRequires:    libgnomeui-devel >= 0:2.0
BuildRequires:    libart_lgpl-devel >= 0:2.3.10
BuildRequires:    python-devel >= 0:2.2.1
BuildRequires:    libpng-devel
BuildRequires:    pango-devel >= 0:1.1.5
BuildRequires:    desktop-file-utils


%description
The Dia drawing program is designed to be like the Windows(TM) Visio
program.  Dia can be used to draw different types of diagrams, and
includes support for UML static structure diagrams (class diagrams),
entity relationship modeling, and network diagrams.  Dia can load and
save diagrams to a custom file format, can load and save in .xml format,
and can export to PostScript(TM).

#---------------------------------------------------------------------

%prep
%setup -q

#---------------------------------------------------------------------

%build
%configure --enable-gnome --with-python
make %{?_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Fedora-Extra                                   \
  --add-category Application                                      \
  --add-category Office                                      \
  %{buildroot}%{_datadir}/gnome/apps/Applications/%{name}.desktop

#---------------------------------------------------------------------

%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO KNOWN_BUGS
%{_bindir}/dia
%{_libdir}/dia/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%{_datadir}/applications/*
%{_datadir}/gnome/help/dia
%{_mandir}/man1/*


#---------------------------------------------------------------------

%changelog
* Thu Apr 03 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.91-0.fdr.5
- Upped Eoch to 1.

* Thu Apr 03 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.91-0.fdr.4
- Fixed missing BuildRequires.

* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.91-0.fdr.3
- Changed category to X-Fedora-Extra.
- Added desktop-file-utils to BuildRequires.
- Removed ldconfig from post and postun.

* Sun Mar 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.91-0.fdr.2
- Added Missing Build Requires.
- Added Epoch:0.

* Thu Mar 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.91-0.fdr.1
- Initial RPM release.
